httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From build...@apache.org
Subject svn commit: r992182 - in /websites/staging/httpd/trunk/content: ./ security/vulnerabilities-httpd.xml security/vulnerabilities_24.html
Date Wed, 06 Jul 2016 12:34:56 GMT
Author: buildbot
Date: Wed Jul  6 12:34:56 2016
New Revision: 992182

Log:
Staging update by buildbot for httpd

Modified:
    websites/staging/httpd/trunk/content/   (props changed)
    websites/staging/httpd/trunk/content/security/vulnerabilities-httpd.xml
    websites/staging/httpd/trunk/content/security/vulnerabilities_24.html

Propchange: websites/staging/httpd/trunk/content/
------------------------------------------------------------------------------
--- cms:source-revision (original)
+++ cms:source-revision Wed Jul  6 12:34:56 2016
@@ -1 +1 @@
-1751455
+1751673

Modified: websites/staging/httpd/trunk/content/security/vulnerabilities-httpd.xml
==============================================================================
--- websites/staging/httpd/trunk/content/security/vulnerabilities-httpd.xml (original)
+++ websites/staging/httpd/trunk/content/security/vulnerabilities-httpd.xml Wed Jul  6 12:34:56
2016
@@ -1,5 +1,24 @@
-<security updated="20150717">
+<security updated="20160706">
 
+<issue fixed="2.4.23" reported="20160630" public="20160705" released="20160705">
+<cve name="CVE-2016-4979"/>
+<severity level="4">low</severity>
+<title>TLS/SSL X.509 client certificate auth bypass with HTTP/2</title>
+<description><p>
+
+  For configurations enabling support for HTTP/2, SSL client
+  certificate validation was not enforced if configured, allowing
+  clients unauthorized access to protected resources over HTTP/2.
+
+  This issue affected releases 2.4.18 and 2.4.20 only.
+</p></description>
+<affects prod="httpd" version="2.4.20"/>
+<affects prod="httpd" version="2.4.18"/>
+<acknowledgements>
+This issue was reported by Erki Aring.
+</acknowledgements>
+</issue>
+  
 <issue fixed="2.4.20" reported="20160202" public="20160411" released="20160411">
 <cve name="CVE-2016-1546"/>
 <severity level="4">low</severity>

Modified: websites/staging/httpd/trunk/content/security/vulnerabilities_24.html
==============================================================================
--- websites/staging/httpd/trunk/content/security/vulnerabilities_24.html (original)
+++ websites/staging/httpd/trunk/content/security/vulnerabilities_24.html Wed Jul  6 12:34:56
2016
@@ -94,7 +94,37 @@ in a "-dev" release then this means that
 the development source tree and will be part of an upcoming full release.</p><p>
This page is created from a database of vulnerabilities originally
 populated by Apache Week.  Please send comments or corrections for
 these vulnerabilities to the <a href="/security_report.html">Security
-Team</a>.  </p><p><em>The initial GA release, Apache httpd 2.4.1,
includes fixes for all vulnerabilities which have been resolved in Apache httpd 2.2.22 and
all older releases.  Consult the <a href="vulnerabilities_22.html">Apache httpd 2.2
vulnerabilities list</a> for more information.</em></p><h1 id="2.4.20">
+Team</a>.  </p><p><em>The initial GA release, Apache httpd 2.4.1,
includes fixes for all vulnerabilities which have been resolved in Apache httpd 2.2.22 and
all older releases.  Consult the <a href="vulnerabilities_22.html">Apache httpd 2.2
vulnerabilities list</a> for more information.</em></p><h1 id="2.4.23">
+Fixed in Apache httpd 2.4.23</h1><dl>
+  <dd>
+    <b>low: </b>
+    <b>
+      <name name="CVE-2016-4979">TLS/SSL X.509 client certificate auth bypass with
HTTP/2</name>
+    </b>
+    <a href="http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-4979">CVE-2016-4979</a>
+    <p>
+
+  For configurations enabling support for HTTP/2, SSL client
+  certificate validation was not enforced if configured, allowing
+  clients unauthorized access to protected resources over HTTP/2.
+
+  This issue affected releases 2.4.18 and 2.4.20 only.
+</p>
+  </dd>
+  <dd>
+    <p>Acknowledgements: 
+This issue was reported by Erki Aring.
+</p>
+  </dd>
+  <dd>
+  Reported to security team: 30th June 2016<br/>
+  Issue public: 5th July 2016<br/></dd>
+  <dd>
+  Update Released: 5th July 2016<br/></dd>
+  <dd>
+      Affects: 
+    2.4.20, 2.4.18<p/></dd>
+</dl><h1 id="2.4.20">
 Fixed in Apache httpd 2.4.20</h1><dl>
   <dd>
     <b>low: </b>



Mime
View raw message